%global _empty_manifest_terminate_build 0
Name:           python-voluptuous
Version:        0.14.0
Release:        1
Summary:        A Python data validation library
License:        BSD
URL:            https://github.com/alecthomas/voluptuous
Source0:        https://github.com/alecthomas/voluptuous/archive/refs/tags/0.14.0.tar.gz
BuildArch:      noarch
%description
Voluptuous, despite the name, is a Python data validation library.
It is primarily intended for validating data coming into Python as
JSON, YAML, etc.

%package -n python3-voluptuous
Summary:        A Python data validation library
Provides:       python-voluptuous
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-voluptuous
Voluptuous, despite the name, is a Python data validation library.
It is primarily intended for validating data coming into Python as
JSON, YAML, etc.

%package help
Summary:        A Python data validation library
Provides:       python3-voluptuous-doc
%description help
Voluptuous, despite the name, is a Python data validation library.
It is primarily intended for validating data coming into Python as
JSON, YAML, etc.

%prep
%autosetup -n voluptuous-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

# Test rely on nose library which has been removed from openEuler already.
# %check
# nosetests-3

%files -n python3-voluptuous -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Jun 3 2024 wuzhaomin <wuzhaomin@kylinos.cn> - 0.14.0-1
- Update package to version 0.14.0
- Fix new type hint of schemas, for example for Required('key')
- Fix new type hints and enable mypy

* Fri Oct 28 2022 wangjunqi <wangjunqi@kylinos.cn> - 0.13.1-1
- Update package to version 0.13.1

* Sat Jun 04 2022 OpenStack_SIG <openstack@openeuler.org> - 0.12.2-1
- Upgrade package python3-voluptuous to version 0.12.2

* Tue Mar 01 2022 wangxiyuan <wangiyuan1007@gmail.com> - 0.12.1-2
- Remove test related part

* Tue Aug 03 2021 OpenStack_SIG <openstack@openeuler.org> - 0.12.1-1
- Upgrade version to 0.12.1

* Fri Nov 20 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
